/*!
Theme Name: ITSulu Child
Theme URI: https://bslthemes.com/
Author: bslthemes
Author URI: https://themeforest.net/user/bslthemes
Description: ITSulu - Technology & IT Solutions WordPress Theme
Version: 1.0.0
License: General Public License
License URI: http://www.gnu.org/licenses/gpl.html
Template: itsulu
Text Domain: itsulu-child
Tags: full-width-template, editor-style, featured-images, sticky-post, threaded-comments, translation-ready, theme-options
*/

.dark-typography{

    .mil-input-frame input{
        color: #000;
    }
    .mil-input-frame textarea{
        color: #000;
    }

    .mil-input-frame  label.mil-light span{
        color: #000;
    }
    
    .mil-button.mil-button-light span{
        color: #000;
    }

    .mil-input-frame textarea, .mil-input-frame input{
        border-bottom: solid 2px rgba(0, 0, 0, 0.5);
    }

    .wpcf7-form select{
        border-radius: 0;
        border: 0;
        background-color: transparent;
        border-bottom: solid 2px rgba(0, 0, 0, 0.5);
        font-family: "Manrope", sans-serif;
        font-weight: 500;
        filter: invert(0);
    }
}


.mil-banner .mil-background-image{
        object-position: top center;
}

.mil-input-frame  label.mil-light span{
    color: #fff;
}

.mil-button.mil-button-light span{
    color: #fff;
}

.wpcf7-form-control-wrap{
    & .wpcf7-not-valid-tip{
        font-family: "Manrope", sans-serif;
        font-weight: 500;
    }
}

.mil-input-frame label {
    font-family: "Manrope", sans-serif !important;
}

.wpcf7-form select{
    border-radius: 0;
    border: 0;
    background-color: transparent;
    border-bottom: solid 2px rgba(0, 0, 0, 0.1);
    font-family: "Manrope", sans-serif;
    font-weight: 500;
    filter: invert(1);
}

.intro-less-height{
    & .mil-banner-sm{
        padding-bottom: 0;
        padding-top: 140px;
        height: 330px;
    }
}

.elementor-section{
    & .elementor-container{
        & .elementor-column{

            & #infoBox.fixed {
                position: fixed;
                top: 200px;
                width: 100%;
                max-width: 380px; /* prevent resize */
                }

            &  #infoBox.stopped {
                position: absolute;
                top: auto;
                bottom: 0;
                }

        }
    }
}

.mil-simple-list li{
    position: relative;
    padding-left: 15px;
    &::before{
        position: absolute;
        top: 9px;
    }
}

.header-info-custom{
    display: flex;
    gap: 20px;
    align-items: center;
    padding: 4px;
}


.footer-info{
    & a{
        display: block;
        margin-bottom: 10px;
        position: relative;
        &.location{
            margin-bottom: 30px;
        }
        &.with-bullet{
            padding-left: 25px;
            &::before{
                content:'';
                position: absolute;
                top: 9px;
                left: 0;
                width: 7px;
                height: 7px;
                border-radius: 100%;
                background-color: #f57c00;
            }
        }
    }
}

.single-job-opening{
    & .mil-pagination{
        display: none;
    }
}

.job-opening-info-container{
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: clamp(20px, 2vw, 30px);
    & .job-opening-info-type{
        & span{
            color: #fff;
            display: inline-block;
            border-radius: 20px;
            background-color: #f57c00;
            font-size: 14px;
            line-height: 25px;
            font-weight: 500;
            padding: 5px 20px;
        }
    }
    & .job-opening-info-location{
        & span{
            color: #000;
            font-size: 15px;
            line-height: 25px;
            font-weight: 500;
        }
    }
}



.jop-opening-form{
    margin-top: 80px;
    & h3{
        text-align: left;
        margin-bottom: 30px;
    }
}

.wpcf7-response-output{
color: #f57c00;
}

.terms{
    margin-block: 10px 30px;
    & .wpcf7-form-control-wrap{
        display: block;
    }
    & .wpcf7-form-control.wpcf7-acceptance{
        display: block;
    }
    & .wpcf7-list-item{
        display: block;
    }
    & label{
        display: flex;
        align-items: center;
        gap: 15px;
        & span.wpcf7-list-item-label{
            display: block;
            color: #fff;
            font-size: 14px;
            line-height: 25px;
            font-weight: 500;
            & a{
                color: #f57c00;
            }
        }
        & input[type="checkbox"]{
            height: 15px;
            flex-basis: 20px;
            accent-color: #f57c00;
        }
    }
}

.mil-navigation nav ul li.mil-has-children:after{
    width: 15px;
    height: 15px;
    top: 5px;
    right: -6px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    background-image: url('https://operonnew.rdc-web.gr/wp-content/uploads/2025/03/arrow-down.png');
    border: 0;
    border-radius: 0;
    cursor: pointer;
}

@media screen and (min-width: 1024px){
    
    .hero-slider-homepage{
        max-height: 800px;
        overflow: hidden;
    }

    .mil-banner .mil-banner-content-2{
        padding-top: 140px;
        align-items: start;
    }
    
}


@media screen and (max-width: 1200px){
    .mil-navigation nav ul li.mil-has-children > a:after{
        width: 15px;
        height: 15px;
        top: 3px;
        right: -6px;
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        background-image: url('https://operonnew.rdc-web.gr/wp-content/uploads/2025/03/arrow-down.png');
        border: 0;
        border-radius: 0;
        cursor: pointer;
    }

    .elementor-section{
        & .elementor-container{
            & .elementor-column{        
                & .operon-fixed{
                position: unset;
                top: unset;
                width: unset;
                z-index: 1;
                }
            }
        }
    }
}
